<?php
/* ====================
[BEGIN_COT_EXT]
Hooks=module
[END_COT_EXT]
==================== */

defined('COT_CODE') or die('Wrong URL.');

// Environment setup
define('COT_FAQ', TRUE);
$env['location'] = 'faq';

// Additional API requirements
require_once cot_incfile('extrafields');

// Self requirements
require_once cot_incfile('faq', 'module');

// Mode choice
if (!in_array($m, array('add', 'edit')))
{
	$m = 'main';
}

require_once cot_incfile('faq', 'module', $m);

require_once $cfg['system_dir'].'/header.php';
echo $module_body;
require_once $cfg['system_dir'].'/footer.php';
